# default rules
homepage:
  url:   /
  param: { module: user, action: index }
login:
  url:   /login
  param: { module: user, action: login }
logout:
  url:   /logout
  param: { module: user, action: logout }
profile:
  url:   /profil
  param: { module: user, action: profile }
profile_update:
  url:   /profil/modifier
  param: { module: user, action: profileUpdate }
profile_gmap:
  url:   /profil/gmap
  param: { module: user, action: profileGmap }

# periods
katao_period:
  url:   /gestion-des-periodes
  param: { module: kataoPeriod, action: index }
katao_period_show:
  url:   /gestion-des-periodes/voir/:id
  param: { module: kataoPeriod, action: show }
katao_period_add:
  url:   /gestion-des-periodes/ajouter
  param: { module: kataoPeriod, action: create }
katao_period_edit:
  url:   /gestion-des-periodes/modifier/:id
  param: { module: kataoPeriod, action: edit }
katao_period_delete:
  url:   /gestion-des-periodes/supprimer/:id
  param: { module: kataoPeriod, action: delete }
katao_period_delete_multiple:
  url:   /gestion-des-periodes/supprimer-selection
  param: { module: kataoPeriod, action: deleteMultiple }
katao_period_filter:
  url:   /gestion-des-periodes/filtrer
  param: { module: kataoPeriod, action: filter }
katao_period_filter_reset:
  url:   /gestion-des-periodes/filtre/annuler
  param: { module: kataoPeriod, action: filterReset }
katao_period_activate:
  url:   /gestion-des-periodes/activer/:id
  param: { module: kataoPeriod, action: activate }
katao_period_export_accounting:
  url:   /gestion-des-periodes/export-comptable
  param: { module: kataoPeriod, action: exportAccounting }
katao_period_copy:
  url:   /gestion-des-periodes/copier/:id
  param: { module: kataoPeriod, action: copy }

# nodes
katao_node:
  url:   /gestion-des-noeuds
  param: { module: kataoNode, action: index }
katao_node_show:
  url:   /gestion-des-noeuds/voir/:id
  param: { module: kataoNode, action: show }
katao_node_add:
  url:   /gestion-des-noeuds/ajouter
  param: { module: kataoNode, action: create }
katao_node_edit:
  url:   /gestion-des-noeuds/modifier/:id
  param: { module: kataoNode, action: edit }
katao_node_delete:
  url:   /gestion-des-noeuds/supprimer/:id
  param: { module: kataoNode, action: delete }
katao_node_delete_multiple:
  url:   /gestion-des-noeuds/supprimer-selection
  param: { module: kataoNode, action: deleteMultiple }
katao_node_manage_products:
  url:   /gestion-des-noeuds/gerer-les-produits-par-periode/:id
  param: { module: kataoNode, action: manageProducts }
katao_node_manage_products_by_period:
  url:   /gestion-des-noeuds/gerer-les-produits-par-periode/noeud/:node/periode/:period
  param: { module: kataoNode, action: manageProductsByPeriod }

# members
katao_member:
  url:   /gestion-des-adherents
  param: { module: kataoMember, action: index }
katao_member_show:
  url:   /gestion-des-adherents/voir/:id
  param: { module: kataoMember, action: show }
katao_member_add:
  url:   /gestion-des-adherents/ajouter
  param: { module: kataoMember, action: create }
katao_member_edit:
  url:   /gestion-des-adherents/modifier/:id
  param: { module: kataoMember, action: edit }
katao_member_delete:
  url:   /gestion-des-adherents/supprimer/:id
  param: { module: kataoMember, action: delete }
katao_member_delete_multiple:
  url:   /gestion-des-adherents/supprimer-selection
  param: { module: kataoMember, action: deleteMultiple }
katao_member_filter:
  url:   /gestion-des-adherents/filtrer
  param: { module: kataoMember, action: filter }
katao_member_filter_reset:
  url:   /gestion-des-adherents/filtre/annuler
  param: { module: kataoMember, action: filterReset }
katao_member_search:
  url:   /gestion-des-adherents/rechercher
  param: { module: kataoMember, action: search }
katao_member_search_reset:
  url:   /gestion-des-adherents/recherche/annuler
  param: { module: kataoMember, action: searchReset }
katao_member_change_next_node_multiple:
  url:   /gestion-des-adherents/changer-noeud-selection
  param: { module: kataoMember, action: changeNextNodeMultiple }
katao_member_send_login:
  url:   /gestion-des-adherents/envoyer-login/:id
  param: { module: kataoMember, action: sendLogin }
katao_member_gmap:
  url:   /gestion-des-adherents/positionner-sur-carte/:id
  param: { module: kataoMember, action: updateGmapCoordinates }
katao_member_export_zyvon:
  url:   /gestion-des-adherents/exporter/zyvon
  param: { module: kataoMember, action: exportZyvon }

  # member adhesions
katao_member_adhesion_create:
  url: gestion-des-adherents/inscription/:userid
  param: { module: kataoMember, action: adhesionCreate }
katao_member_adhesion_edit:
  url: gestion-des-adherents/edit-adhesion/:userid/:id
  param: { module: kataoMember, action: adhesionEdit }
katao_member_adhesion_delete:
  url: gestion-des-adherents/delete-adhesion/:userid/:id
  param: { module: kataoMember, action: adhesionDelete }
katao_member_adhesion_showall:
  url: gestion-des-adherents/vue-ensemble
  param: { module: kataoMember, action: adhesionShowAll }

katao_member_print_sol_card:
  url:   /gestion-des-adherents/imprimer/carte-sol/:id
  param: { module: kataoMember, action: printSolCard }

katao_member_sent_relance:
  url: /gestion-des-adherents/relance/:id
  param: { module: kataoMember, action: sentRelance }

# suppliers
katao_supplier:
  url:   /gestion-des-fournisseurs
  param: { module: kataoSupplier, action: index }
katao_supplier_show:
  url:   /gestion-des-fournisseurs/voir/:id
  param: { module: kataoSupplier, action: show }
katao_supplier_add:
  url:   /gestion-des-fournisseurs/ajouter
  param: { module: kataoSupplier, action: create }
katao_supplier_edit:
  url:   /gestion-des-fournisseurs/modifier/:id
  param: { module: kataoSupplier, action: edit }
katao_supplier_edit_presentation:
  url:   /gestion-des-fournisseurs/modifier-presentation/:id
  param: { module: kataoSupplier, action: editPresentation }
katao_supplier_delete:
  url:   /gestion-des-fournisseurs/supprimer/:id
  param: { module: kataoSupplier, action: delete }
katao_supplier_delete_multiple:
  url:   /gestion-des-fournisseurs/supprimer-selection
  param: { module: kataoSupplier, action: deleteMultiple }
katao_supplier_filter:
  url:   /gestion-des-fournisseurs/filtrer
  param: { module: kataoSupplier, action: filter }
katao_supplier_filter_reset:
  url:   /gestion-des-fournisseurs/filtre/annuler
  param: { module: kataoSupplier, action: filterReset }
katao_supplier_search:
  url:   /gestion-des-fournisseurs/rechercher
  param: { module: kataoSupplier, action: search }
katao_supplier_search_reset:
  url:   /gestion-des-fournisseurs/recherche/annuler
  param: { module: kataoSupplier, action: searchReset }
katao_supplier_send_login:
  url:   /gestion-des-fournisseurs/envoyer-login/:id
  param: { module: kataoSupplier, action: sendLogin }
katao_supplier_gmap:
  url:   /gestion-des-fournisseurs/positionner-sur-carte/:id
  param: { module: kataoSupplier, action: updateGmapCoordinates }
katao_supplier_export_zyvon:
  url:   /gestion-des-fournisseurs/exporter/zyvon
  param: { module: kataoSupplier, action: exportZyvon }

# carts
katao_cart:
  url:   /gestion-des-demandes
  param: { module: kataoCart, action: index }
katao_cart_show:
  url:   /gestion-des-demandes/voir/:id
  param: { module: kataoCart, action: show }
katao_cart_add:
  url:   /gestion-des-demandes/ajouter
  param: { module: kataoCart, action: create }
katao_cart_edit:
  url:   /gestion-des-demandes/modifier/:id
  param: { module: kataoCart, action: edit }
katao_cart_delete:
  url:   /gestion-des-demandes/supprimer/:id
  param: { module: kataoCart, action: delete }
katao_cart_delete_multiple:
  url:   /gestion-des-demandes/supprimer-selection
  param: { module: kataoCart, action: deleteMultiple }
katao_cart_filter:
  url:   /gestion-des-demandes/filtrer
  param: { module: kataoCart, action: filter }
katao_cart_filter_reset:
  url:   /gestion-des-demandes/filtre/annuler
  param: { module: kataoCart, action: filterReset }
katao_cart_generate_orders:
  url:   /gestion-des-demandes/generer-commandes-fournisseurs
  param: { module: kataoCart, action: generateSuppliersOrders }
katao_cart_pdf:
  url:   /gestion-des-demandes/exporter/pdf/:id
  param: { module: kataoCart, action: exportPDF }
katao_cart_export_pdf_all:
  url:   /gestion-des-demandes/exporter-pdf/toutes
  param: { module: kataoCart, action: exportPDFAll }
katao_cart_export_pdf_selected:
  url:   /gestion-des-demandes/exporter-pdf/selection
  param: { module: kataoCart, action: exportPDFSelected }
katao_cart_validate:
  url:   /gestion-des-demandes/valider/:id
  param: { module: kataoCart, action: validate }
katao_cart_unvalidate:
  url:   /gestion-des-demandes/devalider/:id
  param: { module: kataoCart, action: unvalidate }

# products
katao_product:
  url:   /gestion-des-produits
  param: { module: kataoProduct, action: index }
katao_product_show:
  url:   /gestion-des-produits/voir/:id
  param: { module: kataoProduct, action: show }
katao_product_add:
  url:   /gestion-des-produits/ajouter
  param: { module: kataoProduct, action: create }
katao_product_edit:
  url:   /gestion-des-produits/modifier/:id
  param: { module: kataoProduct, action: edit }
katao_product_edit_presentation:
  url:   /gestion-des-produits/modifier-presentation/:id
  param: { module: kataoProduct, action: editPresentation }
katao_product_delete:
  url:   /gestion-des-produits/supprimer/:id
  param: { module: kataoProduct, action: delete }
katao_product_delete_multiple:
  url:   /gestion-des-produits/supprimer-selection
  param: { module: kataoProduct, action: deleteMultiple }
katao_product_filter:
  url:   /gestion-des-produits/filtrer
  param: { module: kataoProduct, action: filter }
katao_product_filter_reset:
  url:   /gestion-des-produits/filtre/annuler
  param: { module: kataoProduct, action: filterReset }
katao_product_search:
  url:   /gestion-des-produits/rechercher
  param: { module: kataoProduct, action: search }
katao_product_search_reset:
  url:   /gestion-des-produits/recherche/annuler
  param: { module: kataoProduct, action: searchReset }
katao_product_archive_multiple:
  url:   /gestion-des-produits/archiver-selection
  param: { module: kataoProduct, action: archiveMultiple }
katao_product_price_adjust:
  url:   /gestion-des-produits/ajuster-prix-ht
  param: { module: kataoProduct, action: adjustPrices }

# product categories
katao_product_category:
  url:   /gestion-des-rayons
  param: { module: kataoProductCategory, action: index }
katao_product_category_show:
  url:   /gestion-des-rayons/voir/:id
  param: { module: kataoProductCategory, action: show }
katao_product_category_add:
  url:   /gestion-des-rayons/ajouter
  param: { module: kataoProductCategory, action: create }
katao_product_category_edit:
  url:   /gestion-des-rayons/modifier/:id
  param: { module: kataoProductCategory, action: edit }
katao_product_category_delete:
  url:   /gestion-des-rayons/supprimer/:id
  param: { module: kataoProductCategory, action: delete }
katao_product_category_delete_multiple:
  url:   /gestion-des-rayons/supprimer-selection
  param: { module: kataoProductCategory, action: deleteMultiple }

# product families
katao_product_family:
  url:   /gestion-des-familles
  param: { module: kataoProductFamily, action: index }
katao_product_family_show:
  url:   /gestion-des-familles/voir/:id
  param: { module: kataoProductFamily, action: show }
katao_product_family_add:
  url:   /gestion-des-familles/ajouter
  param: { module: kataoProductFamily, action: create }
katao_product_family_edit:
  url:   /gestion-des-familles/modifier/:id
  param: { module: kataoProductFamily, action: edit }
katao_product_family_delete:
  url:   /gestion-des-familles/supprimer/:id
  param: { module: kataoProductFamily, action: delete }
katao_product_family_delete_multiple:
  url:   /gestion-des-familles/supprimer-selection
  param: { module: kataoProductFamily, action: deleteMultiple }
katao_product_family_filter:
  url:   /gestion-des-familles/filtrer
  param: { module: kataoProductFamily, action: filter }
katao_product_family_filter_reset:
  url:   /gestion-des-familles/filtre/annuler
  param: { module: kataoProductFamily, action: filterReset }

# orders
katao_order:
  url:   /gestion-des-commandes
  param: { module: kataoOrder, action: index }
katao_order_simulated:
  url:   /gestion-des-commandes-simulees
  param: { module: kataoOrder, action: simulated }
katao_order_delete_simulated:
  url:   /gestion-des-commandes-simulees/supprimer
  param: { module: kataoOrder, action: deleteSimulated }
katao_order_simulated_members:
  url:   /gestion-des-commandes-simulees/membres/:id
  param: { module: kataoOrder, action: simulatedMembers }
katao_order_show:
  url:   /gestion-des-commandes/voir/:id
  param: { module: kataoOrder, action: show }
katao_order_add:
  url:   /gestion-des-commandes/ajouter
  param: { module: kataoOrder, action: create }
katao_order_edit:
  url:   /gestion-des-commandes/modifier/:id
  param: { module: kataoOrder, action: edit }
katao_order_delete:
  url:   /gestion-des-commandes/supprimer/:id
  param: { module: kataoOrder, action: delete }
katao_order_delete_multiple:
  url:   /gestion-des-commandes/supprimer-selection
  param: { module: kataoOrder, action: deleteMultiple }
katao_order_filter:
  url:   /gestion-des-commandes/filtrer
  param: { module: kataoOrder, action: filter }
katao_order_filter_reset:
  url:   /gestion-des-commandes/filtre/annuler
  param: { module: kataoOrder, action: filterReset }
katao_order_generate_invoices:
  url:   /gestion-des-commandes/generer-factures-adherents
  param: { module: kataoOrder, action: generateMembersInvoices }
katao_order_product_adjust:
  url:   /gestion-des-commandes/ajuster/produit/:id
  param: { module: kataoOrder, action: adjustProduct }
katao_order_product_deliver:
  url:   /gestion-des-commandes/delivrer/produit/:id
  param: { module: kataoOrder, action: deliverProduct }
katao_order_pdf:
  url:   /gestion-des-commandes/exporter/pdf/:id
  param: { module: kataoOrder, action: exportPDF }
katao_order_adjust:
  url:   /gestion-des-commandes/ajuster/:id
  param: { module: kataoOrder, action: adjust }
katao_order_adjust_multiple:
  url:   /gestion-des-commandes/ajuster-selection
  param: { module: kataoOrder, action: adjustMultiple }
katao_order_force_adjustment:
  url:   /gestion-des-commandes/forcer-ajustement/:id
  param: { module: kataoOrder, action: forceAdjustment }
katao_order_send:
  url:   /gestion-des-commandes/envoyer/:id
  param: { module: kataoOrder, action: send }
katao_order_receive:
  url:   /gestion-des-commandes/receptionner/:id
  param: { module: kataoOrder, action: receive }
katao_order_deliver:
  url:   /gestion-des-commandes/delivrer/:id
  param: { module: kataoOrder, action: deliver }
katao_order_export_pdf_all:
  url:   /gestion-des-commandes/exporter-pdf/toutes
  param: { module: kataoOrder, action: exportPDFAll }
katao_order_export_pdf_selected:
  url:   /gestion-des-commandes/exporter-pdf/selection
  param: { module: kataoOrder, action: exportPDFSelected }
katao_order_update_invoice:
  url:   /gestion-des-commandes/mettre-a-jour-facture-fournisseur/:id
  param: { module: kataoOrder, action: updateInvoice }
katao_order_export_invoice:
  url:   /gestion-des-commandes/exporter/bon-reception/pdf/:id
  param: { module: kataoOrder, action: exportInvoice }
katao_order_pay_invoice:
  url:   /gestion-des-commandes/payer/:id
  param: { module: kataoOrder, action: payInvoice }
katao_order_receive_new_product:
  url:   /gestion-des-commandes/receptionner-nouveau-produit/:id
  param: { module: kataoOrder, action: receiveNewProduct }

# member invoices
katao_invoice:
  url:   /gestion-des-factures-adherents
  param: { module: kataoInvoice, action: index }
katao_invoice_show:
  url:   /gestion-des-factures-adherents/voir/:id
  param: { module: kataoInvoice, action: show }
katao_invoice_add:
  url:   /gestion-des-factures-adherents/ajouter
  param: { module: kataoInvoice, action: create }
katao_invoice_edit:
  url:   /gestion-des-factures-adherents/modifier/:id
  param: { module: kataoInvoice, action: edit }
katao_invoice_delete:
  url:   /gestion-des-factures-adherents/supprimer/:id
  param: { module: kataoInvoice, action: delete }
katao_invoice_delete_multiple:
  url:   /gestion-des-factures-adherents/supprimer-selection
  param: { module: kataoInvoice, action: deleteMultiple }
katao_invoice_filter:
  url:   /gestion-des-factures-adherents/filtrer
  param: { module: kataoInvoice, action: filter }
katao_invoice_filter_reset:
  url:   /gestion-des-factures-adherents/filtre/annuler
  param: { module: kataoInvoice, action: filterReset }
katao_invoice_pdf:
  url:   /gestion-des-factures-adherents/exporter/pdf/:id
  param: { module: kataoInvoice, action: exportPDF }
katao_invoice_send:
  url:   /gestion-des-factures-adherents/envoyer/:id
  param: { module: kataoInvoice, action: send }
katao_invoice_send_multiple:
  url:   /gestion-des-factures-adherents/envoyer-selection
  param: { module: kataoInvoice, action: sendMultiple }
katao_invoice_export_pdf_all:
  url:   /gestion-des-factures-adherents/exporter-pdf/toutes
  param: { module: kataoInvoice, action: exportPDFAll }
katao_invoice_export_pdf_selected:
  url:   /gestion-des-factures-adherents/exporter-pdf/selection
  param: { module: kataoInvoice, action: exportPDFSelected }
katao_invoice_deliver:
  url:   /gestion-des-factures-adherents/delivrer/:id
  param: { module: kataoInvoice, action: deliver }
katao_invoice_validate:
  url:   /gestion-des-factures-adherents/valider
  param: { module: kataoInvoice, action: validate }

# supplier invoices
katao_supplier_invoice:
  url:   /gestion-des-factures-fournisseurs
  param: { module: kataoSupplierInvoice, action: index }
katao_supplier_invoice_add:
  url:   /gestion-des-factures-fournisseurs/ajouter
  param: { module: kataoSupplierInvoice, action: create }
katao_supplier_invoice_edit:
  url:   /gestion-des-factures-fournisseurs/modifier/:id
  param: { module: kataoSupplierInvoice, action: edit }
katao_supplier_invoice_delete:
  url:   /gestion-des-factures-fournisseurs/supprimer/:id
  param: { module: kataoSupplierInvoice, action: delete }
katao_supplier_invoice_delete_multiple:
  url:   /gestion-des-factures-fournisseurs/supprimer-selection
  param: { module: kataoSupplierInvoice, action: deleteMultiple }
katao_supplier_invoice_filter:
  url:   /gestion-des-factures-fournisseurs/filtrer
  param: { module: kataoSupplierInvoice, action: filter }
katao_supplier_invoice_filter_reset:
  url:   /gestion-des-factures-fournisseurs/filtre/annuler
  param: { module: kataoSupplierInvoice, action: filterReset }
katao_supplier_invoice_pay:
  url:   /gestion-des-factures-fournisseurs/payer/:id
  param: { module: kataoSupplierInvoice, action: pay }
katao_supplier_invoice_export_pdf:
  url:   /gestion-des-factures-fournisseurs/exporter/pdf/:id
  param: { module: kataoSupplierInvoice, action: exportPdf }
katao_supplier_invoice_export_pdf_all:
  url:   /gestion-des-factures-fournisseurs/exporter-pdf/toutes
  param: { module: kataoSupplierInvoice, action: exportPDFAll }
katao_supplier_invoice_export_pdf_selected:
  url:   /gestion-des-factures-fournisseurs/exporter-pdf/selection
  param: { module: kataoSupplierInvoice, action: exportPDFSelected }

# member deposits
katao_member_deposit:
  url:   /gestion-des-depots
  param: { module: kataoMemberDeposit, action: index }
katao_member_deposit_show:
  url:   /gestion-des-depots/voir/:id
  param: { module: kataoMemberDeposit, action: show }
katao_member_deposit_add:
  url:   /gestion-des-depots/ajouter
  param: { module: kataoMemberDeposit, action: create }
katao_member_deposit_edit:
  url:   /gestion-des-depots/modifier/:id
  param: { module: kataoMemberDeposit, action: edit }
katao_member_deposit_delete:
  url:   /gestion-des-depots/supprimer/:id
  param: { module: kataoMemberDeposit, action: delete }
katao_member_deposit_delete_multiple:
  url:   /gestion-des-depots/supprimer-selection
  param: { module: kataoMemberDeposit, action: deleteMultiple }
katao_member_deposit_filter:
  url:   /gestion-des-depots/filtrer
  param: { module: kataoMemberDeposit, action: filter }
katao_member_deposit_filter_reset:
  url:   /gestion-des-depots/filtre/annuler
  param: { module: kataoMemberDeposit, action: filterReset }
katao_member_deposit_dispatch_sols:
  url:   /gestion-des-depots/repartir-des-sols
  param: { module: kataoMemberDeposit, action: dispatchSols }
katao_member_deposit_dispatch_sols_update:
  url:   /gestion-des-depots/repartir-des-sols/executer
  param: { module: kataoMemberDeposit, action: dispatchSolsUpdate }
katao_member_deposit_print_checks:
  url:   /gestion-des-depots/imprimer-remise-cheques
  param: { module: kataoMemberDeposit, action: printChecks }
katao_member_mailing:
  url:   /mailing
  param: { module: mailing, action: index }
katao_member_mailing_save:
  url: /mailing/save
  param: { module: mailing, action: save }

# member groups
katao_member_group:
  url:   /gestion-des-utilisateurs
  param: { module: kataoMemberGroup, action: index }
katao_member_group_delete:
  url:   /gestion-des-utilisateurs/supprimer/:id
  param: { module: kataoMemberGroup, action: delete }
katao_member_group_create:
  url:   /gestion-des-utilisateurs/ajouter
  param: { module: kataoMemberGroup, action: create }
katao_member_group_edit:
  url:   /gestion-des-utilisateurs/modifier/:id
  param: { module: kataoMemberGroup, action: edit }

# config
katao_config:
  url:   /configuration
  param: { module: kataoConfig, action: index }

# cron
cron_check_outdated_member_deposits:
  url:   /cron/verifier-depots-provisoires-depasses
  param: { module: cron, action: checkOutdatedMemberDeposits }
cron_validate_all_carts_before_order_period:
  url:   /cron/valider-paniers-avant-periode-commande
  param: { module: cron, action: validateAllCartsBeforeOrderPeriod }
cron_disable_all_members:
  url:   /cron/desactiver-membres-nouvelle-annee
  param: { module: cron, action: disableAllMembers }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*